org.apache.olingo.odata2.client.api.edm

## Interface EdmSchema

- All Known Implementing Classes:
    EdmSchemaImpl

      public interface EdmSchema

  Impl Objects of this class represent a client schema

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `List<EdmAnnotationElement>` | `getAnnotationElements()`
    `List<EdmAssociation>` | `getAssociations()`
    `List<EdmComplexType>` | `getComplexTypes()`
    `List<EdmEntityContainer>` | `getEntityContainers()`
    `List<EdmEntityType>` | `getEntityTypes()`
    `String` | `getNamespace()`
    `List<EdmUsing>` | `getUsings()`

- - ### Method Detail

    - #### getNamespace

          String getNamespace()

      Returns:
        String namespace of this `EdmSchema`

    - #### getAlias

          String getAlias()

      Returns:
        String alias of this `EdmSchema`

    - #### getUsings

          List<EdmUsing> getUsings()

      Returns:
        List<`Using`> of this `EdmSchema`

    - #### getEntityTypes

          List<EdmEntityType> getEntityTypes()

      Returns:
        List<`EntityType`> of this `EdmSchema`

    - #### getComplexTypes

          List<EdmComplexType> getComplexTypes()

      Returns:
        List<`ComplexType`> of this `EdmSchema`

    - #### getAssociations

          List<EdmAssociation> getAssociations()

      Returns:
        List<`Association`> of this `EdmSchema`

    - #### getEntityContainers

          List<EdmEntityContainer> getEntityContainers()

      Returns:
        List<`EntityContainer`> of this `EdmSchema`

    - #### getAnnotationAttributes

          List<EdmAnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          List<EdmAnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.